{
    "$graph": [
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#AccessTweets.cwl/tweets_data_path"
                }
            ],
            "baseCommand": null,
            "id": "#AccessTweets.cwl",
            "outputs": [
                {
                    "type": "string",
                    "id": "#AccessTweets.cwl/tweets_file"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#CountSentiments.cwl/tweets_file"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "id": "#CountSentiments.cwl/negative"
                },
                {
                    "type": "string",
                    "id": "#CountSentiments.cwl/neutral"
                },
                {
                    "type": "string",
                    "id": "#CountSentiments.cwl/positive"
                }
            ],
            "baseCommand": null,
            "id": "#CountSentiments.cwl"
        },
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#DrawPieChart.cwl/colors"
                },
                {
                    "type": "string",
                    "id": "#DrawPieChart.cwl/explode"
                },
                {
                    "type": "string",
                    "id": "#DrawPieChart.cwl/labels"
                },
                {
                    "type": "string",
                    "id": "#DrawPieChart.cwl/sizes"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "id": "#DrawPieChart.cwl/plt"
                }
            ],
            "baseCommand": null,
            "id": "#DrawPieChart.cwl"
        },
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#Measures.cwl/negative"
                },
                {
                    "type": "string",
                    "id": "#Measures.cwl/neutral"
                },
                {
                    "type": "string",
                    "id": "#Measures.cwl/positive"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "id": "#Measures.cwl/colors"
                },
                {
                    "type": "string",
                    "id": "#Measures.cwl/explode"
                },
                {
                    "type": "string",
                    "id": "#Measures.cwl/labels"
                },
                {
                    "type": "string",
                    "id": "#Measures.cwl/sizes"
                }
            ],
            "baseCommand": null,
            "id": "#Measures.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/Static_Tweets"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "outputSource": "#main/DrawPieChart/plt",
                    "id": "#main/Sentiment_Result"
                }
            ],
            "steps": [
                {
                    "run": "#AccessTweets.cwl",
                    "in": [
                        {
                            "source": "#main/Static_Tweets",
                            "id": "#main/AccessTweets/tweets_data_path"
                        }
                    ],
                    "out": [
                        "#main/AccessTweets/tweets_file"
                    ],
                    "id": "#main/AccessTweets"
                },
                {
                    "run": "#CountSentiments.cwl",
                    "in": [
                        {
                            "source": "#main/AccessTweets/tweets_file",
                            "id": "#main/CountSentiments/tweets_file"
                        }
                    ],
                    "out": [
                        "#main/CountSentiments/negative",
                        "#main/CountSentiments/neutral",
                        "#main/CountSentiments/positive"
                    ],
                    "id": "#main/CountSentiments"
                },
                {
                    "run": "#DrawPieChart.cwl",
                    "in": [
                        {
                            "source": "#main/Measures/colors",
                            "id": "#main/DrawPieChart/colors"
                        },
                        {
                            "source": "#main/Measures/explode",
                            "id": "#main/DrawPieChart/explode"
                        },
                        {
                            "source": "#main/Measures/labels",
                            "id": "#main/DrawPieChart/labels"
                        },
                        {
                            "source": "#main/Measures/sizes",
                            "id": "#main/DrawPieChart/sizes"
                        }
                    ],
                    "out": [
                        "#main/DrawPieChart/plt"
                    ],
                    "id": "#main/DrawPieChart"
                },
                {
                    "run": "#Measures.cwl",
                    "in": [
                        {
                            "source": "#main/CountSentiments/negative",
                            "id": "#main/Measures/negative"
                        },
                        {
                            "source": "#main/CountSentiments/neutral",
                            "id": "#main/Measures/neutral"
                        },
                        {
                            "source": "#main/CountSentiments/positive",
                            "id": "#main/Measures/positive"
                        }
                    ],
                    "out": [
                        "#main/Measures/colors",
                        "#main/Measures/explode",
                        "#main/Measures/labels",
                        "#main/Measures/sizes"
                    ],
                    "id": "#main/Measures"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
